import { JsonCard } from "@/components/cards/JsonCard";
import { Card, CardHeader, CardTitle } from "@/components/ui/card";
import { fetchBackup } from "@/lib/actions"

export default async function Report({ params }: { params: { name: string } }) {
  const name = decodeURIComponent(params.name);
  const backup = await fetchBackup(name);

  return <>
    <Card>
      <CardHeader>
        <CardTitle>{name}</CardTitle>
      </CardHeader>
    </Card>
    <br />
    <JsonCard obj={backup} />
  </>
}